WallFormationLayoutBeanInfo (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.beanbox
Class WallFormationLayoutBeanInfo

    java.lang.Object
      java.beans.SimpleBeanInfo
          com.bbn.openmap.tools.beanbox.BeanLayoutManagerBeanInfo
              com.bbn.openmap.layer.beanbox.WallFormationLayoutBeanInfo

All Implemented Interfaces:
  java.beans.BeanInfo

    public class WallFormationLayoutBeanInfo

extends BeanLayoutManagerBeanInfo

A BeanInfo for the `WallFormationLayout`bean.

Field Summary

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Constructor Summary
`WallFormationLayoutBeanInfo()`

Method Summary
`protected void` | `localProperties(java.util.List propsList)` direct and indirect subclasses of this bean info class should override this method to add their property descripters to the list generated by the super-class method.

Methods inherited from class com.bbn.openmap.tools.beanbox.BeanLayoutManagerBeanInfo
`getIcon, getImage16Location, getImage32Location, getPropertyDescriptors, property, property`

Methods inherited from class java.beans.SimpleBeanInfo
`getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getMethodDescriptors, loadImage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WallFormationLayoutBeanInfo

    public WallFormationLayoutBeanInfo()

Method Detail

### localProperties

    protected void localProperties(java.util.List propsList)

  Description copied from class: `BeanLayoutManagerBeanInfo`
  direct and indirect subclasses of this bean info class should override this method to add their property descripters to the list generated by the super-class method. A localProperties method written in the subclass should include in a call to super.localProperties in order to get the list of superclass property descripters. It should then add its own property descriptors to this list. A subclass does not need to over-ride this method if it has no property descripters of its own to add to the list of super-class descriptors.

  Overrides:
    `localProperties` in class `BeanLayoutManagerBeanInfo`
  Parameters:
    `propsList` - a List containing property descripters of all super classes.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details